Bug 1798500 - Descheduler operator does not support RemovePodsViolatingNodeTaints strategy
Summary: Descheduler operator does not support RemovePodsViolatingNodeTaints strategy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Mike Dame
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 14:02 UTC by Mike Dame
Modified: 2020-05-04 11:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:33:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-descheduler-operator pull 65 0 None open Bug 1798500: Add nodetaints strategy and refactor configmap string generation to use structs and marshalling 2020-02-05 14:05:16 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:34:00 UTC

Description Mike Dame 2020-02-05 14:02:51 UTC
Currently in the descheduler operator readme (and code) there is no way to enable the RemovePodsViolatingNodeTaints strategy. This should be added to bring feature parity up-to-date with the descheduler

Comment 4 Mike Dame 2020-02-06 21:21:41 UTC
I think I see the problem. When you create a standalone pod, it has no OwnerReferences, and the descheduler will not evict any pods without ownerreferences (unless they have the special "evictable" label, see: https://github.com/kubernetes-sigs/descheduler/blob/e2a23f28480b3d439e7049c314a369013699faa1/pkg/descheduler/pod/pods.go#L34)

For that reason, the easiest way to test this would be to create your dedicated-nodes pod with the following annotation:

```
apiVersion: v1
kind: Pod
metadata:
  name: dedicated-nodes
  annotations:
    descheduler.alpha.kubernetes.io/evict: "true"
spec:
  containers:
    - image: "docker.io/ocpqe/hello-pod"
      name: hello-pod
```

This instructs the descheduler that, even though this pod has no ownerreferences, it is evictable. Running this on my own cluster I successfully see the pod evicted

Comment 7 errata-xmlrpc 2020-05-04 11:33:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.